<script>
export default {
  props: {
    value: {
      type: String,
      default: () => '',
      required: true,
    },
    disabled: {
      type: Boolean,
      default: () => false,
    },
    rule: {
      type: Object,
      default: () => {},
    },
    ruleProperties: {
      type: Object,
      default: () => {},
    },
  },
  mounted() {
    this.updateValue();
  },
  methods: {
    updateValue() {
      if (this.disabled) return;
      this.$set(this.rule, 'isDataCompleted', true);
      this.$emit('input', '');
    },
  },
};
</script>

<template>
  <div @input="updateValue"></div>
</template>
